Bug 69440 - EDITING: Function Wizard crashes LibreOffice
Summary: EDITING: Function Wizard crashes LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2
Keywords: regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-09-16 21:13 UTC by John Smith
Modified: 2013-09-25 08:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
An ODT document, illustrating with a screenshot, the steps described above. (56.66 KB, application/vnd.oasis.opendocument.text)
2013-09-16 21:13 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-09-16 21:13:00 UTC
Created attachment 85939 [details]
An ODT document, illustrating with a screenshot, the steps described above.

Problem description: Selection of certain functions then Help crashes LibreOffice

Steps to reproduce:
1. Open Calc.
2. Open the Function Wizard using any valid method.
3. Select AVERAGEIF or AVERAGEIFS by either single-clicking or double-clicking on the function name in the list.
4. Press the Help button in the dialog.

Current behavior: LibreOffice crashes.

Expected behavior: Help files should open.

              
Operating System: Windows XP
Version: 4.1.1.2 release
Comment 1 John Smith 2013-09-16 22:02:25 UTC
Further to the two functions already mentioned, SUMIFS, COUNTIFS, IFERROR, IFNA, XOR, NUMBERVALUE and SKEWP all crash LibreOffice as described above.
Comment 2 m.a.riosv 2013-09-16 22:35:29 UTC
Hi John, thanks for reporting.

Reproducible with:
Win7x64Ultimate.
Version: 4.1.3.0.0+ Build ID: 952c5fe20d5975c8a2c9f5093d05472ca0fc78f
Comment 3 m.a.riosv 2013-09-16 22:41:08 UTC
No issue in:
Win7x64Ultimate
Version 4.0.5.2 (Build ID: 5464147a081647a250913f19c0715bca595af2f)
Comment 4 Eike Rathke 2013-09-17 17:34:22 UTC
@Caolan:
In master crash is under VclBuilderContainer::get<TabControl> where m_pUIBuilder is NULL, called from SfxHelp::Start_Impl() with

  >|592    TabControl *pCtrl = ((Dialog*)pParent)->get<TabControl>("tabcontrol")

Does it need to check ((Dialog*)pParent)->hasBuilder() first or is m_pUIBuilder supposed to never be NULL in that context?
Comment 5 Commit Notification 2013-09-18 10:01:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4edce3b72d585915516a0a27c4815a0d4996cfb

Resolves: fdo#69440 only ask for tabcontrol in builder dialogs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2013-09-18 10:02:26 UTC
fixed for master, proposed for 4-1 and 4-1-2
Comment 7 Commit Notification 2013-09-18 11:09:35 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52bd2f21fe6b4388948643514bca05a7b4f87849&h=libreoffice-4-1

Resolves: fdo#69440 only ask for tabcontrol in builder dialogs


It will be available in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-09-25 08:19:01 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09351f513e750fc1d7a72a1ce0680a927140bbde&h=libreoffice-4-1-2

Resolves: fdo#69440 only ask for tabcontrol in builder dialogs


It will be available already in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.